<h1 class="title">Установка и настройка модуля «Простые звонки – Статистика звонков»</h1>

<h2>1. Системные требования</h2>
<hr>

<p>Для установки и работы приложения на Linux сервер вам потребуется:</p>
<ul>
	<li>Сервер с операционной системой Linux (CentOS, Fedora, Ubuntu) с ядром 2.6</li>
</ul>

<p>Для установки и работы приложения на Windows сервер вам потребуется:</p>
<ul>
	<li>Сервер с операционной системой Windows 7, Windows 8, Windows Server 2008, Windows Server 2008 R2,
Windows Server 2012, Windows Server 2012 R2</li>
</ul>

<h2>2. Проверьте перед установкой</h2>
<hr>

<p>Перед установкой и настройкой модуля, пожалуйста, проверьте:</p>
<ul>
	<li>Компьютер, на который вы устанавливаете приложение, удовлетворяет системным требованиям</li>
	<li>У вас есть доступ к компьютеру с правами администратора</li>
	<li>У вас есть установочный файл модуля статистики: <br>
		<i>prostiezvonki_statistika.zip – для Linux</i> <br>	
		<i>ProstieZvonki_Statistika.exe – для Windows</i>
	</li>
</ul>

<h2>3.1. Установка на Windows</h2>
<hr>

<p>3.1.1. Запустите файл ProstieZvonki_Statistika.exe и следуйте инструкциям на экране.</p>

<p>3.1.2. После завершения установки вам необходимо настроить модуль статистики. Откройте файл
<i>"C:\Program Files (x86)\Vedisoft\ProstieZvonki\Statistics\statistics.ini"</i> в текстовом редакторе и задайте
значения всех необходимых параметров.</p>

<p class="attention">Внимание! Если вы изменили путь для установки модуля статистики, путь к файлу настроек может
отличаться.</p>

<p>3.1.3. После изменения настроек в файле конфигурации модуля статистики необходимо перезапустить
службу <strong>PZ Statistics Service</strong>, сделать это можно через консоль управления службами ОС.</p>

<p>Переходите к пункту <a href="#int_borwsing">4. Обзор веб-интерфейса.</a></p>

<h2>3.2. Установка на Linux</h2>
<hr>

<p>Модуль статистики устанавливается автоматически при установке версий АТС-коннектора Asterisk,
выпущенных после 29.05.2018.</p>

<p>Дополнительно вы можете настроить следующие параметры в конфигурационном файле модуля
<strong>config.ini</strong>:</p>
<ul>
	<li>Параметр <strong>log_level</strong> отвечает за уровень логгирования.</li>
	<li>В параметре <strong>asterisk_queue_log</strong> указан путь к лог файлу очередей Asterisk.</li>
</ul>

<p class="attention">Внимание! Если вы не изменяли расположение этого лог файла в настройках Asterisk, не меняйте
значение этого параметра.</p>

<p>Для запуска модуля запустите скрипт (расположен в папке, в которую вы установили модуль
<strong>«Статистика»</strong>), командой:<br>
<i>./start</i></p>

<h2><a name="int_borwsing"></a>4. Обзор веб-интерфейса</h2>
<hr>

<p>4.1. Откройте в браузере ссылку вида http://[Адрес сервера]:[Порт] , где:</p>
<ul>
	<li>[Адрес сервера] – IP адрес или хостнейм сервера, на который вы установили приложение;</li>
	<li>[Порт] – TCP порт, указанный в конфигурационном файле приложения. Значение по-умолчанию
«8090»</li>
</ul>

<p>4.2. Главная страница «Сводка»</p>
<p><img src="images/statistika/ustanovka_nastroyka_statistika_main_page.jpg" alt="Главная страница «Сводка»"></p>

<p><strong>1. Выбор периода времени –</strong> позволяет выбрать период времени, за который отображается
статистика по звонкам.</p>

<p class="attention">Внимание! Детализация устанавливается автоматически: для периодов «Сегодня» и «Вчера» - по часам;
«Неделя», «Месяц» - по дням.</p>

<p><strong>2. Мини-графики –</strong> отображают сводную информацию за выбранный период.</p>

<p><strong>3. Детализированный график –</strong> отображает подробную информацию по выбранному типу звонков.</p>

<p><strong>4. ТОП-10 добавочных по количеству исходящих и ТОП-10 линий по количеству входящих –</strong>

отображает информацию о количестве звонков, приходящихся на внутренние номера и внешние
линии АТС (отображается первые 10 самых «звонящих» добавочных или внешних линий).</p>

<p>4.3. В вертикальном меню слева доступны следующие отчеты:</p>

<p><strong>Отчеты по входящим звонкам:</strong></p>
<ul>
	<li>Входящие звонки по линиям – позволяет оценить загруженность входящих линий за выбранный
период времени</li>
	<li>Входящие звонки по дням недели – статистика звонков по дням недели за выбранный период</li>
	<li>Входящие звонки по времени суток – позволяет оценить в какое время к вам поступает
наибольшее кол-во звонков</li>
	<li>Входящие звонки по статусам – позволяет понять в какое время и на какое кол-во звонков вы не
успеваете ответить</li>
</ul>

<p><strong>Отчеты по исходящим звонкам:</strong></p>
<ul>
	<li>Исходящие звонки по статусам – позволяет понять, как часто вы не можете дозвониться до
клиента</li>
	<li>Исходящие звонки по сотрудникам – позволяет увидеть статистику по звонкам совершенным
выбранным пользователем</li>
</ul>

<p><strong>Активность сотрудника</strong> <br>
Отчет позволяет увидеть общую картину по входящим и исходящим звонкам, совершенным выбранным
пользователем</p>

<p><strong>Журнал звонков</strong> <br>
Подробный журнал звонков со ссылками на аудиозаписи разговоров. Для входящих звонков
отображается линия, на которую поступил звонок. Для каждого звонка с ненулевой длительностью
отображаются иконки воспроизведения и скачивания аудиозаписи.</p>

<p class="attention">Внимание! Иконки воспроизведения и скачивания отображаются в том случае, если АТС-коннектор
поддерживает данную функцию. Линия, на которую поступил звонок, отображается только для
входящих звонков.</p>

<p><strong>Настройки</strong> <br>
Настройки модуля статистики звонков и информация, полезная для диагностики АТС-коннектора.</p>

<h2>5. Страница «Настройки»</h2>
<hr>

<p><img src="images/statistika/ustanovka_nastroyka_statistika_settings.jpg" alt="Страница Настройки"></p>

<p><strong>Сотрудники</strong><br>
Позволяет указать имена сотрудников и их внутренние номера. Вы сможете выбрать сотрудника по
имени в любом из отчетов модуля статистики, где поддерживается фильтрация по сотрудникам.</p>
<p><strong>Группы сотрудников</strong><br>
Позволяет объединить внутренние номера в группы. Группы упрощают построение отчетов по
нескольким сотрудникам в отчетах модуля статистики. Вы сможете выбрать группу сотрудников в любом
из отчетов модуля статистики, где поддерживается фильтрация по сотрудникам и группам.</p>
<p><strong>Пользователи</strong><br>
Информация о пользователях, подключенных или подключавшихся ранее к АТС-коннектору.</p>
<p><strong>Система</strong><br>
Сводная информация об операционной системе, на которой установлен АТС-коннектор и модуль
статистики звонков.</p>
<p><strong>Лог файлы</strong><br>
Список лог файлов АТС-коннектора с возможностью скачивания.</p>
<p><strong>АТС-коннектор</strong><br>
Сводная информация о версии АТС-коннектора и поддерживаемой им версии АТС.</p>
<p><strong>Лицензионная информация</strong><br>
Информация о пользовательских лицензиях, доступных на данном АТС-коннекторе.</p>
